Package org.h2.test.db

# Class TestSpatial

java.lang.Object
org.h2.test.TestBase
org.h2.test.TestDb
org.h2.test.db.TestSpatial

public class TestSpatial extends org.h2.test.TestDb
Spatial datatype and index tests.

## Nested Class Summary

Nested Classes
Modifier and Type
Class
Description
`static class`
`TestSpatial.TableEnvelope`
An aggregate function that calculates the envelope.

## Nested classes/interfaces inherited from class org.h2.test.TestDb

`org.h2.test.TestDb.Child`

## Nested classes/interfaces inherited from class org.h2.test.TestBase

`org.h2.test.TestBase.VoidCallable`

## Field Summary

### Fields inherited from class org.h2.test.TestBase

`BASE_TEST_DIR, config, start, uniqueId`

## Constructor Summary

Constructors
Constructor
Description
`TestSpatial()`

## Method Summary

Modifier and Type
Method
Description
`static org.locationtech.jts.geom.Geometry`
`geomFromText(String text, int srid)`
Convert the text to a geometry object.
`static String`
`getObjectString(org.locationtech.jts.geom.Geometry object)`
Get the toString value of the object.
`static ResultSet`
`getRandomGeometryTable(long seed, long rowCount, double minX, double maxX, double minY, double maxY, double maxLength)`
Generate a result set with random geometry data.
`boolean`
`isEnabled()`
`static void`
`main(String... a)`
Run just this test.
`static ResultSet`
`pointTable(double x, double y)`
This method is called via reflection from the database.
`void`
`test()`
This method will be called by the test framework.

### Methods inherited from class org.h2.test.TestDb

`buildChild, deleteDb, deleteDb, getConnection, getConnection, getURL`

### Methods inherited from class org.h2.test.TestBase

`assertContains, assertEmpty, assertEqualDatabases, assertEqualReaders, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEqualStreams, assertFalse, assertFalse, assertKnownException, assertKnownException, assertNotContaining, assertNotNull, assertNotNull, assertNull, assertResult, assertResultRowCount, assertResultSetMeta, assertResultSetOrdered, assertResultSetOrdered, assertSame, assertSingleValue, assertSmaller, assertStartsWith, assertThrows, assertThrows, assertThrows, assertThrows, assertThrows, assertThrows, assertThrows, assertThrows, assertTrue, assertTrue, checkErrorCode, crash, createCaller, createFailingStream, eatMemory, execute, execute, fail, fail, freeMemory, getBaseDir, getClassPath, getFilePassword, getJVM, getMemoryUsed, getMemoryUsedBytes, getPassword, getPassword, getPowerOffCount, getSize, getTestDir, getTestName, getUser, init, init, logError, logErrorMessage, println, printTime, printTimeMemory, readString, runTest, setPowerOffCount, testFromMain, throwException, trace, trace, traceMemory`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### TestSpatial

public TestSpatial()

## Method Details

### main

public static void main(String... a) throws Exception
Run just this test.

Parameters:
  `a` - ignored
Throws:
  `Exception`

### isEnabled

public boolean isEnabled()

Overrides:
  `isEnabled` in class `org.h2.test.TestBase`
Returns:
  whether this test is enabled in the current configuration

### test

public void test() throws SQLException
Description copied from class: `org.h2.test.TestBase`
This method will be called by the test framework.

Specified by:
  `test` in class `org.h2.test.TestBase`
Throws:
  `SQLException`

### getRandomGeometryTable

public static ResultSet getRandomGeometryTable(long seed, long rowCount, double minX, double maxX, double minY, double maxY, double maxLength)
Generate a result set with random geometry data. Used as an ALIAS function.

Parameters:
  `seed` - the random seed
  `rowCount` - the number of rows
  `minX` - the smallest x
  `maxX` - the largest x
  `minY` - the smallest y
  `maxY` - the largest y
  `maxLength` - the maximum length
Returns:
  a result set

### geomFromText

public static org.locationtech.jts.geom.Geometry geomFromText(String text, int srid) throws SQLException
Convert the text to a geometry object.

Parameters:
  `text` - the geometry as a Well Known Text
  `srid` - the projection id
Returns:
  Geometry object
Throws:
  `SQLException`

### getObjectString

public static String getObjectString(org.locationtech.jts.geom.Geometry object)
Get the toString value of the object.

Parameters:
  `object` - the object
Returns:
  the string representation

### pointTable

public static ResultSet pointTable(double x, double y)
This method is called via reflection from the database.

Parameters:
  `x` - the x position of the point
  `y` - the y position of the point
Returns:
  a result set with this point